Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.getcapabilities
Class MetadataURL

    java.lang.Object
      org.deegree.ogcbase.BaseURL
          org.deegree.ogcwebservices.getcapabilities.MetadataURL

    public class MetadataURL

extends BaseURL

A WFS/WMS/WCS should use one or more elements to offer detailed, standardized metadata about the data underneath a particular layer. The `MetadataURL` element shall not be used to reference metadata in a non-standardized metadata format.

The type attribute indicates the standard to which the metadata complies, three types are defined at present (from the WFS 1.1.0 specification):

Type value | Metadata standard
--- | ---
'TC211' or 'ISO19115' | ISO TC211 19115
'FGDC' | FGDC CSDGM
'ISO19139' | ISO 19139

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp , Markus Schneider

Constructor Summary
`MetadataURL(String type, String format, URL onlineResource)` Constructs a new MetadataURL instance.

Method Summary
`String` | `getType()` returns the type attribute indicating the standard to which the metadata complies.
`void` | `setType(String type)` sets the type attribute indicating the standard to which the metadata complies.
`String` | `toString()`

Methods inherited from class org.deegree.ogcbase.BaseURL
`getFormat, getOnlineResource, setFormat, setOnlineResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetadataURL

    public MetadataURL(String type,
                       String format,
                       URL onlineResource)

  Constructs a new MetadataURL instance.

  Parameters:
    `type` -
    `format` -
    `onlineResource` -

Method Detail

### getType

    public String getType()

  returns the type attribute indicating the standard to which the metadata complies.

  Returns:
    the type attribute indicating the standard to which the metadata complies.

### setType

    public void setType(String type)

  sets the type attribute indicating the standard to which the metadata complies.

  Parameters:
    `type` -

### toString

    public String toString()

  Overrides:
    `toString` in class `BaseURL`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org